/**
 * Standard checker: compare two real values
 */

#ifdef BURUNDUK
#  include "my_testlib.h"
#else
#  include "testlib.h"
#endif

#include <cmath>

int main(int argc, char *argv[])
{
  registerTestlibCmd(argc, argv);

  double a = ouf.readDouble();
  double b = ans.readDouble();
  double eps = 1.1e-3;

  double err = fabs(a - b);
  if (err > eps)
    quitf(_wa, "contestant(%.10f) != jury(%.10f), err = %g", a, b, err);
  quitf(_ok, "OK (%.10f, err = %g)", a, err);
  return 0;
}
